> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DateTime

> REST Web API search DateTime

## Equals DateTime

```http theme={null}
GET /api/v1/appointment?$select=date,type,text,contact/name?&$filter=date dateTime '2020-05-28T15:00:00' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Before DateTime

```http theme={null}
GET /api/v1/appointment?$select=date,type,text,contact/name?&$filter=date beforeTime '2020-05-28T15:00:00' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## After DateTime

```http theme={null}
GET /api/v1/appointment?$select=date,type,text,contact/name?&$filter=date afterTime '2020-05-28T15:00:01' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```


## Related topics

- [DateTime](/en/automation/crmscript/reference/CRMScript.Global.DateTime.md)
- [DateTime data type](/en/automation/crmscript/datatypes/datetime-type.md)
- [time](/en/api/mdo-providers/reference/time.md)
- [NSFieldInfoDateTime](/en/automation/crmscript/reference/CRMScript.NetServer.NSFieldInfoDateTime.md)
- [SuperOffice.WebApi.Data.TimeZoneRuleDictionary](/en/api/reference/webapi/SuperOffice.WebApi.Data.TimeZoneRuleDictionary.md)
- [timestamps table](/en/database/tables/timestamps.md)
